rte_l2tpv2_combined_msg_hdr(3)

NAME
rte_l2tpv2_combined_msg_hdr

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

struct rte_l2tpv2_common_hdr common

Detailed Description

L2TPv2 Combined Message Header Format: Common Header + Options

Definition at line 216 of file rte_l2tpv2.h.

Field Documentation

  struct rte_l2tpv2_common_hdr common
common header

Definition at line 217 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_with_all_options type0
header with all options

Definition at line 220 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_without_length type1
header with all options except length

Definition at line 222 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_without_ns_nr type2
header with all options except ns/nr

Definition at line 224 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_without_offset type3
header with all options except offset

Definition at line 226 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_with_offset type4
header with offset options

Definition at line 228 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_with_ns_nr type5
header with ns/nr options

Definition at line 230 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_with_length type6
header with length option

Definition at line 232 of file rte_l2tpv2.h.

  struct rte_l2tpv2_msg_without_all_options type7
header without all options

Definition at line 234 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.